Check Point Advisories

Apple QuickTime PictureViewer Buffer Overflow (CVE-2005-0903; CVE-2005-2340)

Check Point Reference: CPAI-2005-214
Date Published: 5 Oct 2009
Severity: High
Last Updated: 14 Feb 2016
Industry Reference:CVE-2005-0903
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable?
Vulnerability Description Apple QuickTime PictureViewer is an image viewer that supports many image file formats. JPEG is one of the image formats supported by this product.A vulnerability exists in the PictureViewer component of the Apple QuickTime products. The affected product does not correctly process JPEG image files, allowing for a buffer overflow condition to be triggered by a malicious JPEG image. This flaw may allow an attacker to exploit the vulnerable product in order to create a denial of service condition or execute arbitrary code on the vulnerable system.In a simple attack case, the affected application will terminate upon opening of the malicious JPEG image file.In a more sophisticated attack scenario, where code injection and execution is attempted, the behaviour of the target is dependent on the intention of the injected code.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Apple QuickTime PictureViewer Buffer Overflow protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Apple QuickTime Protection Violation.
Attack Information:  Apple QuickTime PictureViewer buffer overflow